Subject: Re: [PATCH v12 3/8] remote set-head: refactor for readability

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Nov 2024 14:50:26 +0900

Bence Ferdinandy <[email-masked]> writes:

> Rename buf and buf2 to something more explanatory.
>
> Instead of calling get_main_ref_store(the_repository) multiple times,
> call it once and store in a new refs variable. Although this change
> probably offers some performance benefits, the main purpose is to
> shorten the line lengths of function calls using this variable.

Also two strbufs are renamed, which is in line with the objective of
the other change---to make the resulting code easier to follow.

Looking good.

>     v9: - further improve readability by renaming buf, and buf2 consistently
>           with how patch 6 was already done